<h1 mat-dialog-title>Adicionar Máquina</h1>
<form (submit)="onSubmit($event)" [formGroup]="machineForm">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Nome</mat-label>
            <input
                matInput
                placeholder="Nome da Máquina"
                formControlName="name"
                name="name"
            />
            <mat-error *ngIf="machineForm.get('name').hasError('required')">
                Campo Nome é obrigatório!
            </mat-error>
            <mat-icon matPrefix>subject</mat-icon>
        </mat-form-field>

        <app-custom-file-input
            title="Imagem da Máquina"
            (change)="onChangeFile($event)"
        ></app-custom-file-input>

        <mat-error *ngIf="machineForm.get('image').hasError('invalidFile')">
            O ficheiro selecionado é inválido. Por favor escolha uma imagem do
            tipo: <em>png; jpg; jpeg</em>.
        </mat-error>

        <mat-error *ngIf="machineForm.get('image').hasError('required')">
            A imagem da máquina é obrigatória!
        </mat-error>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!machineForm.valid"
        >
            <mat-icon>add</mat-icon>
            Adicionar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
